ur_rna.GUITester

## Class ScriptRuntime

- java.lang.Object
- - ur_rna.GUITester.ScriptRuntime

-     class ScriptRuntime
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private ScriptActions` | `_actions`
    `private boolean` | `_disableTrace`
    `private boolean` | `_doParsingOnly`
    `private GuiAppManager` | `_gui`
    `private AppLog` | `_log`
    `private Script` | `_script`
    `private java.util.HashMap<java.lang.String,java.lang.Object>` | `_vars`
    `private boolean` | `DEBUG_GUI_MATCHER`
    `private int` | `delayBetweenSteps`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScriptRuntime(Script script, GuiAppManager guiApp, AppLog log)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private ComposableMatcher` | `appendGuiSearchParam(ComposableMatcher subject, java.lang.String argName, java.lang.Object argVal)`
    `private java.lang.String` | `buildArgListString(ScriptNode node)`
    `private abbot.finder.Matcher` | `buildMatcher(ASTGuiSearchCriteria searchCriteria)`
    `private static GuiRelative` | `convertGuiSearchRelationship(int rel)`
    `private GuiItemRef` | `createGuiReference(ASTGuiReference n)`
    `private void` | `doStepDelay()`
    `private java.util.Map<java.lang.String,java.lang.Object>` | `evaluateScriptArgList(ScriptNode listNode, boolean useSafeEval)`
    `private java.lang.Object` | `evaluateScriptNode(ScriptNode n)`
    `void` | `exec(ScriptNode scriptRoot)`
    `private void` | `executeScriptAction(ASTAction node)`
    `private void` | `executeScriptAssignment(ASTAssignment node)`
    `private ClassMatcher` | `FindClassMatcher(abbot.finder.Matcher subject)`
    `private ClassMatcher` | `getClassMatcher(java.lang.String name)`
    `GuiAppManager` | `getGui()`
    `AppLog` | `getLog()`
    `Script` | `getScript()`
    `private java.lang.Object` | `getSpecialValue(java.lang.String name)`
    `java.lang.Object` | `getVar(java.lang.String name)`
    `private java.lang.Object` | `safeEvaluateScriptNode(ScriptNode n)`
    `void` | `setVar(java.lang.String name, java.lang.Object value)`
    `boolean` | `shouldTrace()`
    `void` | `trace(java.lang.String s)`
    `void` | `trace(java.lang.String s, java.lang.Object... args)`
    `java.lang.Object` | `tryGetVar(java.lang.String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _actions

          private ScriptActions _actions

    - #### _disableTrace

          private boolean _disableTrace

    - #### _doParsingOnly

          private boolean _doParsingOnly

    - #### _gui

          private GuiAppManager _gui

    - #### _log

          private AppLog _log

    - #### _script

          private Script _script

    - #### _vars

          private java.util.HashMap<java.lang.String,java.lang.Object> _vars

    - #### DEBUG_GUI_MATCHER

          private final boolean DEBUG_GUI_MATCHER

      See Also:
        Constant Field Values

    - #### delayBetweenSteps

          private int delayBetweenSteps

  - ### Constructor Detail

    - #### ScriptRuntime

          public ScriptRuntime(Script script,
                               GuiAppManager guiApp,
                               AppLog log)

  - ### Method Detail

    - #### appendGuiSearchParam

          private ComposableMatcher appendGuiSearchParam(ComposableMatcher subject,
                                                         java.lang.String argName,
                                                         java.lang.Object argVal)
                                                  throws ScriptRuntimeException

      Throws:
        `ScriptRuntimeException`

    - #### buildArgListString

          private java.lang.String buildArgListString(ScriptNode node)

    - #### buildMatcher

          private abbot.finder.Matcher buildMatcher(ASTGuiSearchCriteria searchCriteria)
                                             throws ScriptRuntimeException

      Throws:
        `ScriptRuntimeException`

    - #### convertGuiSearchRelationship

          private static GuiRelative convertGuiSearchRelationship(int rel)

    - #### createGuiReference

          private GuiItemRef createGuiReference(ASTGuiReference n)
                                         throws ScriptRuntimeException

      Throws:
        `ScriptRuntimeException`

    - #### doStepDelay

          private void doStepDelay()

    - #### evaluateScriptArgList

          private java.util.Map<java.lang.String,java.lang.Object> evaluateScriptArgList(ScriptNode listNode,
                                                                                         boolean useSafeEval)
                                                                                  throws ScriptRuntimeException

      Throws:
        `ScriptRuntimeException`

    - #### evaluateScriptNode

          private java.lang.Object evaluateScriptNode(ScriptNode n)
                                               throws ScriptRuntimeException

      Throws:
        `ScriptRuntimeException`

    - #### exec

          public void exec(ScriptNode scriptRoot)
                    throws ScriptRuntimeException

      Throws:
        `ScriptRuntimeException`

    - #### executeScriptAction

          private void executeScriptAction(ASTAction node)
                                    throws ScriptRuntimeException

      Throws:
        `ScriptRuntimeException`

    - #### executeScriptAssignment

          private void executeScriptAssignment(ASTAssignment node)
                                        throws ScriptRuntimeException

      Throws:
        `ScriptRuntimeException`

    - #### FindClassMatcher

          private ClassMatcher FindClassMatcher(abbot.finder.Matcher subject)

    - #### getClassMatcher

          private ClassMatcher getClassMatcher(java.lang.String name)
                                        throws ScriptRuntimeException

      Throws:
        `ScriptRuntimeException`

    - #### getGui

          public GuiAppManager getGui()

    - #### getLog

          public AppLog getLog()

    - #### getScript

          public Script getScript()

    - #### getSpecialValue

          private java.lang.Object getSpecialValue(java.lang.String name)

    - #### getVar

          public java.lang.Object getVar(java.lang.String name)
                                  throws ScriptRuntimeException

      Throws:
        `ScriptRuntimeException`

    - #### safeEvaluateScriptNode

          private java.lang.Object safeEvaluateScriptNode(ScriptNode n)

    - #### setVar

          public void setVar(java.lang.String name,
                             java.lang.Object value)

    - #### shouldTrace

          public boolean shouldTrace()

    - #### trace

          public void trace(java.lang.String s)

    - #### trace

          public void trace(java.lang.String s,
                            java.lang.Object... args)

    - #### tryGetVar

          public java.lang.Object tryGetVar(java.lang.String name)